mesh = load_Mesh('Coord_Hexagon.dat', 'Elem_Hexagon.dat');
mesh = add_Edges(mesh);
mesh.BdFlags = [zeros(6,1); -ones(6,1)];
mesh.ElemFlag = zeros(6,1);

B = [];
N = [];

for i = 1:4
    if i > 1
        mesh = refine_REG(mesh);
    end
    B = [B, solveImpedanceBVP(mesh)];
    N = [N, size(mesh.Coordinates, 1)];
end

B = abs(B - 2.08154105279);

loglog(N, B, 'LineWidth', 2);
xlabel('N'); ylabel('Error'); grid on;
p = polyfit(log(N), log(B), 1);
disp(['Order: ' num2str(-p(1))]);
