function B = solveImpedanceBVP(mesh)

    f = @(x,varargin) cos(sqrt(x(:,1).^2 + x(:,2).^2));
    one = @(x,varargin) ones(size(x,1),1);

    A = assemMat_LFE(mesh,@STIMA_Lapl_LFE)+...
        assemMat_Bnd_Robin(mesh,one,1e-10,2);
    L = assemLoad_LFE(mesh, P10O5(), f);
    U = A \ L;

    nEdges = size(mesh.Edges, 1);
    B = 0;
    for i = 1:nEdges
        if mesh.BdFlags(i) < 0
            ix = mesh.Edges(i,:);
            len = norm(mesh.Coordinates(ix(1),:) - mesh.Coordinates(ix(2),:));
            B = B + mean(U(ix)) * len;
        end
    end

end
