function Aloc = STIMA_Lapl_1D(Vertices)
% STIMA_Lapl_1D Element stiffness matrix for the Laplace problem.
%
%   ALOC = STIMA_LAPL_1D(VERTICES) computes the  element
%   stiffness matrix 
%
%   VERTICES is a 2-by-1 matrix specifying the vertices of the current
%   element in a row wise orientation.
%      
%   Example:
% 
%   Aloc = STIMA_Lapl_1D([0 0; 1 0; 0 1]);
%

%   Copyright 2007 Christoph Winter
%   SAM - Seminar for Applied Mathematics
%   ETH-Zentrum
%   CH-8092 Zurich, Switzerland
    
  % Compute element mapping
     
  bK = Vertices(1);
  BK = Vertices(2)-bK;
    
  % Compute element stiffness matrix
    
  Aloc = [1 -1; -1 1]/BK;
  
return
