% Script to study the minimal mesh grading factor 
% which gives the optimal convergence rate in the H1-norm

ALPHA = [1.1, 1.2, 1.3, 1.4, 1.5];

BETA = linspace(1,3,50); 

optbeta = zeros(1,length(ALPHA));

for k=1:length(ALPHA)
    rate = zeros(1,length(BETA));
    tol = zeros(1,length(BETA));
for i=1:length(BETA)
    [~, rate(i)] = main1D(ALPHA(k),BETA(i));
end
figure
plot(BETA,rate)

% Maximum rate for this alpha
j=1;
for i=1:length(rate)-1
    if (rate(i+1)>rate(i) && (rate(i+1)-rate(i))/rate(i)>0.01)
        j = i+1;
    end
end
%The optimal beta is BETA(j)
optbeta(k) = BETA(j);

clear rate;
end
figure
plot(ALPHA,optbeta)
polyfit(1./optbeta,ALPHA,1)